<?php

declare(strict_types=1);

namespace Dedi\SyliusAvisVerifiesPlugin\File\ValueObject;

use Symfony\Component\HttpFoundation\File\File;

class ImportFile
{
    private string $remoteFilePath;

    private File $localFile;

    public function __construct(string $remoteFilePath, File $localFile)
    {
        $this->remoteFilePath = $remoteFilePath;
        $this->localFile = $localFile;
    }

    public function getRemoteFilePath(): string
    {
        return $this->remoteFilePath;
    }

    public function getLocalFile(): File
    {
        return $this->localFile;
    }
}
